* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Segoe UI', sans-serif;
}

body {
  background: #000;
}

.hero {
  position: relative;
  height: 100vh;
  background: url("assets/bg-image.jpg")
    no-repeat center / cover;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 60px;
  color: #fff;
}

.hero .image img{
  max-width: 90%;
  height: auto;
  margin: 0 auto;
}

@media (max-width: 600px) {
  .hero{
    padding: 20px;
    display: flex;
    flex-wrap: wrap-reverse;
  }
}

.overlay {
  position: absolute;
  inset: 0;
  background: radial-gradient(
    circle at left,
    rgba(0, 0, 0, 0.2),
    rgba(20, 10, 40, 0.2)
  );
}

.content {
  position: relative;
  max-width: auto;
  z-index: 2;
}

.top-title {
  letter-spacing: 4px;
  font-weight: 900;
  margin-bottom: 20px;
  opacity: 0.9;
  font-size: 60px;
}

@media (max-width: 600px) {
  .top-title {
  letter-spacing: 2px;
  font-weight: 900;
  margin-bottom: 20px;
  opacity: 0.9;
  font-size: 22px;
}
}

.main-title span {
  display: block;
  font-size: 90px;
  font-weight: 900;
  line-height: 1;
  color: #cfefff;
  text-shadow:
    -2px -2px 0 #1fb6ff,
     2px -2px 0 #1fb6ff,
    -2px  2px 0 #1fb6ff,
     2px  2px 0 #1fb6ff;
}

@media (max-width:600px) {
  .main-title span {
    font-size: 40px;
  }
}

.subtitle {
  margin: 30px 0 40px;
  font-size: 30px;
  line-height: 1.5;
  letter-spacing: 1px;
  opacity: 0.9;
}

@media (max-width: 600px) {
  .subtitle {
    margin: 20px 0 30px;
    font-size: 16px;
    line-height: 1.4;
    letter-spacing: 0.5px;
    opacity: 0.9;
  }
}

.buttons {
  display: flex;
  gap: 20px;
}

.btn {
  padding: 14px 36px;
  font-size: 16px;
  font-weight: 600;
  border-radius: 8px;
  text-decoration: none;
  transition: 0.3s ease;
}

@media (max-width: 600px) {
  .btn{
    padding: 7px 18px;
  }
}

.btn.buy {
  background: linear-gradient(180deg, #66e38f, #2f9f4f);
  color: #fff;
  box-shadow: 0 10px 30px rgba(0, 255, 120, 0.4);
}

.btn.buy:hover {
  transform: translateY(-2px);
}

.btn.join {
  border: 2px solid rgba(255, 255, 255, 0.5);
  color: #fff;
}

.btn.join:hover {
  background: rgba(255, 255, 255, 0.1);
}
